#ifndef _jm_graphics_h
#define _jm_graphics_h

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_graphics.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#include "BasicTypes.h"

extern const uint1 j3[];
extern const uint1 j7[];
extern const uint2 j8[];

extern uint1* plane_visible_0;
extern uint1* plane_visible_1;
extern uint1* plane_active_0;
extern uint1* plane_active_1;

extern uint4 plane_offset_92plus;

//extern uint1 visible_plane_0[LCD_SIZE];  // *30+8
//extern uint1 visible_plane_1[LCD_SIZE];
//extern uint1 active_plane_0[LCD_SIZE];
//extern uint1 active_plane_1[LCD_SIZE];

extern uint1 jumpman_bkgd_0[12];
extern uint1 jumpman_bkgd_1[12];
extern uint1 platform_piece_0[4];
extern uint1 platform_piece_1[4];

extern unsigned char jumpman_test_sprite[];
extern unsigned char intvfont[];

void DrawJumpmanLetter(uint2 letter, uint2 color, int2 x, int2 y);
void DrawWhiteLine(int2 x0, int2 y0, int2 x1, int2 y1);
void EraseScreen(void);


#endif

